Je ne peux installer un paquet sous delphi 6

Signaler
Messages postés
281
Date d'inscription
dimanche 7 avril 2002
Statut
Membre
Dernière intervention
11 avril 2013
-
Messages postés
4297
Date d'inscription
samedi 19 janvier 2002
Statut
Modérateur
Dernière intervention
9 janvier 2013
-
Salut,

lorsque je veux installer un nouveau composant sous delphi 6 et j'appuis sur la touche ajouter une boite de message des filtres a selectionner apparait avec le type de fichier(filtre) : bibliotheque de paquets (dcl*,bpl*) au lieu de (*.bpl) et lorsque je selectionne tous les fichiers et je veux ouvrir mon fichier *.bpl un message d'erreur apparait pour m'indiquer qu'il est :

impossible de charger le paquet c:\programfiles\borland\delphi6\package\d6\ecomp.bpl
one of the library files needed to run this application cannot be found

que veut dire tout ca ?

et puis ce messsage est-il du a ma version non enregistrée de delphi 6 edition personel ?

Merci.

7 réponses

Messages postés
4297
Date d'inscription
samedi 19 janvier 2002
Statut
Modérateur
Dernière intervention
9 janvier 2013
31
Delphi, avec la version 6, est devenu sensible au type de paquet que l'on installe. Il faut maintenant distinguer les paquets de conception et les paquets d'éxécution comme l'explique l'article "La gestion des packages et la compatibilité des composants avec Delphi 6" d'Olivier DAHAN.
Existe-t-il une mise à jour pour Delphi 6 de tes composants ?
May Delphi be with you.
Delphi advanced
Messages postés
281
Date d'inscription
dimanche 7 avril 2002
Statut
Membre
Dernière intervention
11 avril 2013

Salut phil,

oui le composant est mis a jour (Ekrtf v 1.85).
Messages postés
4297
Date d'inscription
samedi 19 janvier 2002
Statut
Modérateur
Dernière intervention
9 janvier 2013
31
La procédure d'installation a-t-elle bien été respectée, à savoir désinstaller la version antérieure ?

May Delphi be with you.
Delphi advanced
Messages postés
281
Date d'inscription
dimanche 7 avril 2002
Statut
Membre
Dernière intervention
11 avril 2013

oui, l'ancienne version qui est 1.82 n'est pas installée dans le nouveau repertoire Borland6/delphi 6.

en fait j'utilisais la version pro de delphi 5. est ce cela peut influer sur l'installation?
Messages postés
4297
Date d'inscription
samedi 19 janvier 2002
Statut
Modérateur
Dernière intervention
9 janvier 2013
31
Pour installer des composants, jusqu'ici on utilisait Fichier/ouvrir et on sélectionnait Paquets (*.dpk). On compilait et on cliquait sur "installer".
La procédure est-elle changée ?

May Delphi be with you.
Delphi advanced
Messages postés
281
Date d'inscription
dimanche 7 avril 2002
Statut
Membre
Dernière intervention
11 avril 2013

salut,

l'auteur des composants ekrtf apres lavoir contacter m'a demandé d'etre certains d'avoir trois paquets : vcl.dcp, vcldb.dcp et vcljpg.dcp et quand j'ai regardé je n'ai pas trouvé le paquet vcldb.dcp.

alors comment devrais-je faire pour avoir ce paquet ? et est-ce que la version personnelle de delphi 6 ne fournie pas tout les paquets ou quoi ?

Remarque : j'ai installé delphi 6 personel avec le numero de serie et la clé fournis par le site borland.

Merci.
Messages postés
4297
Date d'inscription
samedi 19 janvier 2002
Statut
Modérateur
Dernière intervention
9 janvier 2013
31
Dans vclDB, il y a DB...et là, je soupçonne fort que ce paquet ait un rapport avec les bases de données qui sont absentes de la version personnelle de Delphi 6 !

May Delphi be with you.
Delphi advanced